# Generated by Django 4.2.9 on 2024-10-10 20:35

from django.db import migrations
from agenda_culturel.models import Place
from django.contrib.gis.geos import Point

def change_coord_format(apps, schema_editor):
    places = Place.objects.all()

    for p in places:
        l = p.location.split(',')
        if len(l) == 2:
            p.location_pt = Point(float(l[1]), float(l[0]))
        else:
            p.location_pt = Point(3.08333, 45.783329)
        p.save()

    


class Migration(migrations.Migration):

    dependencies = [
        ('agenda_culturel', '0080_place_location_pt'),
    ]

    operations = [
        migrations.RunPython(change_coord_format),
    ]


